org.apache.felix.ipojo.manipulator.metadata.annotation.module

## Class DefaultBindingModule

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.AbsBindingModule
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.module.DefaultBindingModule

All Implemented Interfaces:
  Iterable<Binding>, Module

    public class DefaultBindingModule
    extends AbsBindingModule

Author:
  Felix Project Team

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.felix.ipojo.manipulator.spi.AbsBindingModule

`AbsBindingModule.AnnotationBindingBuilder, AbsBindingModule.ConditionalBindingBuilder, AbsBindingModule.HandlerBindingBuilder, AbsBindingModule.StereotypeBindingBuilder`

### Constructor Summary

Constructors
Constructor and Description
`DefaultBindingModule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure()` Configure all the iPOJO's default annotation's bindings.
`protected DocumentBuilder` `getFreshDocumentBuilder(Reporter reporter)` Creates a 'fresh' document builder.

### Methods inherited from class org.apache.felix.ipojo.manipulator.spi.AbsBindingModule

`bind, bindHandlerBinding, bindIgnore, bindStereotype, iterator, load`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### DefaultBindingModule

    public DefaultBindingModule()

### Method Detail

#### configure

    public void configure()

Configure all the iPOJO's default annotation's bindings.

Specified by:
  `configure` in class `AbsBindingModule`

#### getFreshDocumentBuilder

    protected DocumentBuilder getFreshDocumentBuilder(Reporter reporter)

Creates a 'fresh' document builder.

Returns:
  a new document builder is not already created, else reset the created one, and return it.